import javax.persistence.EntityManager;
import javax.persistence.EntityManagerFactory;
import javax.persistence.Persistence;

public class Main {
  public static void main(String[] a) throws Exception {
    JPAUtil util = new JPAUtil();

    EntityManagerFactory emf = Persistence.createEntityManagerFactory("ProfessorService");
    EntityManager em = emf.createEntityManager();
    ProfessorService service = new ProfessorService(em);

    em.getTransaction().begin();

    Department dept = service.createDepartment("name",1);
    System.out.print("Created" + dept);
    
    Project proj = service.createProject("name", 1);
    System.out.print("Created" + proj);

    System.out.println("Project:");
    for (Project p : service.findAllProjects()) {
      System.out.println(p + " " + p.getDepartment());
    }

    System.out.println("Departments:");
    for (Department d : service.findAllDepartments()) {
      System.out.println(d + " " + d.getProjects().size());
    }

    util.checkData("select * from Project");

    em.getTransaction().commit();
    em.close();
    emf.close();
  }
}