import java.util.Collection;

import javax.persistence.EntityManager;
import javax.persistence.Query;

public class ProfessorService {
  protected EntityManager em;

  public ProfessorService(EntityManager em) {
    this.em = em;
  }

  public Department createDepartment(String name, int id) {
    Department dept = new Department();
    dept.setId(id);
    dept.setName(name);
    em.persist(dept);

    return dept;
  }
  public Project createProject(String name, int deptId) {
    Project proj = new Project(findDepartment(deptId));
    proj.setName(name);
    em.persist(proj);

    return proj;
  }

  public Department findDepartment(int id) {
    return em.find(Department.class, id);
  }

  public Collection<Project> findAllProjects() {
    Query query = em.createQuery("SELECT p FROM Project p");
    return (Collection<Project>) query.getResultList();
  }

  public Collection<Department> findAllDepartments() {
    Query query = em.createQuery("SELECT d FROM Department d");
    return (Collection<Department>) query.getResultList();
  }
}