import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.Id;
import javax.persistence.IdClass;
import javax.persistence.JoinColumn;
import javax.persistence.ManyToOne;

@Entity
@IdClass(ProjectId.class)
public class Project {
  @Id
  @Column(name = "DEPT_ID", insertable = false, updatable = false)
  private int deptId;

  @Id
  private String name;

  @ManyToOne
  @JoinColumn(name = "DEPT_ID")
  private Department department;

  public Project() {
  }

  public Project(Department dept) {
    this.department = dept;
    this.deptId = dept.getId();
  }

  public String getName() {
    return name;
  }

  public void setName(String projectName) {
    this.name = projectName;
  }

  public int getDeptId() {
    return deptId;
  }

  public Department getDepartment() {
    return department;
  }

  public String toString() {
    return "Project name: " + getName();
  }
}
